[Mongrel] Problems with mongrel on NetBSD

Zed A. Shaw zedshaw at zedshaw.com
Tue Oct 30 08:34:19 EDT 2007


On Tue, 30 Oct 2007 03:33:51 -0500
"Michael Graff" <skan.gryphon at gmail.com> wrote:

> And it seems 1.0.4 works again.  Whatever was fixed, it made NetBSD at
> least bind to IPv4 when passed 0.0.0.0 or 127.0.0.1 as an IP address.
> 
> Does Mongrel do IPv6 well?

Mongrel does whatever Ruby supports, nothing fancy or any special tricks on binding for NetBSD.

I think there might have been an overzealous change to the *BSD camp that's enabled ipv6 by default and ruby has yet to catch up.  Do you know of any NetBSD posts related to ipv6 and required socket code changes?

-- 
Zed A. Shaw
- Hate: http://savingtheinternetwithhate.com/
- Good: http://www.zedshaw.com/
- Evil: http://yearofevil.com/


More information about the Mongrel-users mailing list